

FREQUENCIES VARIABLES=feargr f20 f40 f70 f200 s20 s40 s70 s200
  /FORMAT=NOTABLE
  /STATISTICS=MEAN STDDEV SKEWNESS KURTOSIS 
  /ORDER=ANALYSIS.

*########## compute new variables to get ANOVA of SOA 

COMPUTE f20_forSOA=ABS(f20).
EXECUTE.
COMPUTE f40_forSOA=ABS(f40).
EXECUTE.
COMPUTE f70_forSOA=ABS(f70).
EXECUTE.
COMPUTE f200_forSOA=ABS(f200).
EXECUTE.

GLM f20_forSOA f40_forSOA f70_forSOA f200_forSOA s20 s40 s70 s200 BY feargr
  /WSFACTOR=Ptype 2 Polynomial SOA 4 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(SOA*feargr SOA*feargr*Ptype)
  /CRITERIA=ALPHA(.05)
 /PRINT=DESCRIPTIVE 
  /WSDESIGN=Ptype SOA Ptype*SOA
  /DESIGN=feargr.


COMPUTE SOA20_mean=(s20 + f20_forSOA)/2.
EXECUTE.
COMPUTE SOA40_mean=(s40 + f40_forSOA)/2.
EXECUTE.
COMPUTE SOA70_mean=(s70 + f70_forSOA)/2.
EXECUTE.
COMPUTE SOA200_mean=(s200 + f200_forSOA)/2.
EXECUTE.
COMPUTE Spider_mean=(s20 + s40 + s70 + s200) / 4.
EXECUTE.

COMPUTE Flower_mean=(f20_forSOA + f40_forSOA + f70_forSOA + f200_forSOA) / 4.
EXECUTE.

FREQUENCIES VARIABLES=SOA20_mean SOA40_mean SOA70_mean SOA200_mean Flower_mean Spider_mean
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN SKEWNESS SESKEW KURTOSIS SEKURT
  /ORDER=ANALYSIS.


GRAPH
  /ERRORBAR(CI 95)=SOA20_mean SOA40_mean SOA70_mean SOA200_mean
  /MISSING=LISTWISE.

GRAPH
  /ERRORBAR(CI 95)=Spider_mean Flower_mean
  /MISSING=LISTWISE.

GRAPH
  /ERRORBAR(CI 95)=SOA20_mean SOA40_mean SOA70_mean SOA200_mean BY feargr
  /MISSING=LISTWISE.

GRAPH
  /ERRORBAR(CI 95)=Spider_mean Flower_mean BY feargr
  /MISSING=LISTWISE.


GLM f20_forSOA s20 BY feargr
  /WSFACTOR=Ptype 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Ptype 
  /DESIGN=feargr.

 * but s20 ans f20 have serious normality problems...


NPAR TESTS
  /WILCOXON=f20_forSOA WITH s20 (PAIRED)
  /STATISTICS DESCRIPTIVES 
  /MISSING ANALYSIS.

* sorted by fear group 

SORT CASES  BY feargr.
SPLIT FILE SEPARATE BY feargr.



 *  ##########################################

GRAPH
  /ERRORBAR(CI 95)=s200 s70 s40 s20 f20 f40 f70 f200 BY feargr
  /MISSING=LISTWISE.

GLM f20 f40 f70 f200 s20 s40 s70 s200 BY feargr
  /WSFACTOR=Ptype 2 Polynomial SOA 4 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(SOA*feargr*Ptype SOA*Ptype*feargr)
  /CRITERIA=ALPHA(.05)
 /PRINT=DESCRIPTIVE 
  /WSDESIGN=Ptype SOA Ptype*SOA
  /DESIGN=feargr.


COMPUTE Flower_discmean=(f20 + f40 + f70 + f200) / 4.
EXECUTE.

COMPUTE Spider_discmean=(s20 + s40 + s70 + s200) / 4.
EXECUTE.

FREQUENCIES VARIABLES=Flower_discmean Spider_discmean
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN SKEWNESS SESKEW KURTOSIS SEKURT
  /ORDER=ANALYSIS.

GLM f20 s20 BY feargr
  /WSFACTOR=Ptype 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PRINT=DESCRIPTIVE 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Ptype 
  /DESIGN=feargr.

 * ####### t-tests

T-TEST PAIRS=f20 f40 f70 f200 f20_forSOA f40_forSOA f70_forSOA f200_forSOA WITH s20 s40 s70 s200 
    s20 s40 s70 s200 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

 * but s20 ans f20 have serious normality problems...


NPAR TESTS
  /WILCOXON=f20 f20_forSOA WITH s20 s20 (PAIRED)
  /STATISTICS DESCRIPTIVES 
  /MISSING ANALYSIS.



SORT CASES  BY feargr.
SPLIT FILE SEPARATE BY feargr.


T-TEST PAIRS=f20 f40 f70 f200 f20_forSOA f40_forSOA f70_forSOA f200_forSOA WITH s20 s40 s70 s200 
    s20 s40 s70 s200 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

T-TEST PAIRS=SOA20_mean SOA40_mean SOA70_mean WITH SOA40_mean SOA70_mean SOA200_mean (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

NPAR TESTS
  /WILCOXON=f20 f20_forSOA WITH s20 s20 (PAIRED)
  /STATISTICS DESCRIPTIVES 
  /MISSING ANALYSIS.
