

FREQUENCIES VARIABLES=feargr f20 f40 f70 f200 s20 s40 s70 s200
  /FORMAT=NOTABLE
  /STATISTICS=MEAN STDDEV SKEWNESS KURTOSIS 
  /ORDER=ANALYSIS.



GRAPH
  /ERRORBAR(CI 95)=s200 s70 s40 s20 f20 f40 f70 f200 BY feargr
  /MISSING=LISTWISE.

GLM f20 f40 f70 f200 s20 s40 s70 s200 BY feargr
  /WSFACTOR=Ptype 2 Polynomial SOA 4 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(SOA*feargr*Ptype SOA*Ptype*feargr)
  /CRITERIA=ALPHA(.05)
 /PRINT=DESCRIPTIVE 
  /WSDESIGN=Ptype SOA Ptype*SOA
  /DESIGN=feargr.


COMPUTE Flower_mean=(f20 + f40 + f70 + f200) / 4.
EXECUTE.
COMPUTE Spider_mean=(s20 + s40 + s70 + s200) / 4.
EXECUTE.

COMPUTE SOA20_mean=(f20 + s20)/2.
EXECUTE.
COMPUTE SOA40_mean=(f40 + s40)/2.
EXECUTE.
COMPUTE SOA70_mean=(f70 + s70)/2.
EXECUTE.
COMPUTE SOA200_mean=(f200 + s200)/2.
EXECUTE.


FREQUENCIES VARIABLES=Flower_mean Spider_mean SOA20_mean SOA40_mean SOA70_mean SOA200_mean
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN SKEWNESS SESKEW KURTOSIS SEKURT
  /ORDER=ANALYSIS.

* means by group

SORT CASES  BY feargr.
SPLIT FILE SEPARATE BY feargr.

FREQUENCIES VARIABLES=Flower_mean Spider_mean SOA20_mean SOA40_mean SOA70_mean SOA200_mean
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN SKEWNESS SESKEW KURTOSIS SEKURT
  /ORDER=ANALYSIS.


FREQUENCIES VARIABLES=f200 s200
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN SKEWNESS SESKEW KURTOSIS SEKURT
  /ORDER=ANALYSIS.

FREQUENCIES VARIABLES=f20 s20
  /FORMAT=NOTABLE
  /STATISTICS=STDDEV MEAN SKEWNESS SESKEW KURTOSIS SEKURT
  /ORDER=ANALYSIS.

SPLIT FILE OFF.
* ######################


GLM f200 s200 BY feargr
  /WSFACTOR=Ptype 2 Polynomial 
  /METHOD=SSTYPE(3)
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Ptype 
  /DESIGN=feargr.

GLM f20 s20 BY feargr
  /WSFACTOR=Ptype 2 Polynomial 
  /METHOD=SSTYPE(3)
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Ptype 
  /DESIGN=feargr.
*#######################################
* compare soa x ptype x group on all soas
****************************

GLM f20 f40 f70 f200 s20 s40 s70 s200 BY feargr
  /WSFACTOR=ptype 2 Polynomial soa 4 Polynomial 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(feargr*ptype) 
  /EMMEANS=TABLES(feargr*ptype*soa) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=ptype soa ptype*soa
  /DESIGN=feargr.

* soa20

GLM f20 s20 BY feargr
  /WSFACTOR=ptype 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(feargr*ptype)
  /EMMEANS=TABLES(feargr*ptype) 
  /EMMEANS=TABLES(feargr) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(ptype) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=ptype 
  /DESIGN=feargr.


* soa40

GLM f40 s40 BY feargr
  /WSFACTOR=ptype 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(feargr*ptype)
  /EMMEANS=TABLES(feargr*ptype) 
  /EMMEANS=TABLES(feargr) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(ptype) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=ptype 
  /DESIGN=feargr.

* soa70

GLM f70 s70 BY feargr
  /WSFACTOR=ptype 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(feargr*ptype)
  /EMMEANS=TABLES(feargr*ptype) 
  /EMMEANS=TABLES(feargr) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(ptype) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=ptype 
  /DESIGN=feargr.

* soa200

GLM f200 s200 BY feargr
  /WSFACTOR=ptype 2 Polynomial 
  /METHOD=SSTYPE(3)
  /PLOT=PROFILE(feargr*ptype)
  /EMMEANS=TABLES(feargr*ptype) 
  /EMMEANS=TABLES(feargr) COMPARE ADJ(LSD)
  /EMMEANS=TABLES(ptype) COMPARE ADJ(LSD)
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=ptype 
  /DESIGN=feargr.

* t-tests ptype at each soa for groups seperately

SORT CASES  BY feargr.
SPLIT FILE SEPARATE BY feargr.

T-TEST PAIRS=f20 f40 f70 f200 WITH s20 s40 s70 s200 (PAIRED)
  /CRITERIA=CI(.9500)
  /MISSING=ANALYSIS.

SPLIT FILE OFF.
